shardj/zf1-future

Zend Framework 1. The aim is to keep ZF1 working with the latest PHP versions

1.19.1 2021-03-01 17:36 UTC

README

zf1-future logo Thanks to WebTigers for the logo

Zend Framework 1 now for PHP 7.4!

Classic ZF1 Reborn

Zend may have abandoned the original Zend Framework, but the global Zend Framework Community has not! Since Zend sentenced ZF1 to EOL, the Zend Framework community around the globe has continued to work and build on what we consider to be one of the best PHP frameworks of all time.

ZF1 is Now Version 1.20!

Over 200 updates and bug fixes since 1.12!

The ZF1 community has been hard at work updating Zend Framework with all of the latest features of PHP 7.

Documentation

New updated documentation coming soon!

Original Docs

The original docs can be found here: https://framework.zend.com/manual/1.12/en/manual.html

Installation

Installable through git clone or through
composer require shardj/zf1-future https://packagist.org/packages/shardj/zf1-future

System Requirements

ZF1 Future runs on any version of PHP 7. Soon ZF1 Future will be up and running on PHP 8!

License

The files in this archive are released under the Zend Framework license. You can find a copy of this license in LICENSE.txt.

Related Projects

  • ZF1 Extras Future
  • ZF1s - Another community supported continuation of ZF1, with a focus on splitting the frameworks original components into individual packages

Known issues and solutions